Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv.xs
Class MonthDayDV

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.xs.TypeValidator
            |
            +--org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
                  |
                  +--org.apache.xerces.impl.dv.xs.MonthDayDV

public class MonthDayDV
extends AbstractDateTimeDV

Validator for <gMonthDay> datatype (W3C Schema Datatypes)

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: MonthDayDV.java 446745 2006-09-15 21:43:58Z mrglavas $
Author:
  Elena Litani, Gopal Sharma, SUN Microsystem Inc.

Fields inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`DAY, factory, MONTH, YEAR`

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`MonthDayDV()`

Method Summary
`protected java.lang.String` | `dateToString(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)` Converts gMonthDay object representation to String
`java.lang.Object` | `getActualValue(java.lang.String content, ValidationContext context)` Convert a string to a compiled form
`protected javax.xml.datatype.XMLGregorianCalendar` | `getXMLGregorianCalendar(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)`
`protected org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData` | `parse(java.lang.String str)` Parses, validates and computes normalized version of gMonthDay object

Methods inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`append, append, append2, compare, compareDates, compareOrder, findUTCSign, fQuotient, fQuotient, getAllowedFacets, getDate, getDuration, getTime, getTimeZone, getYearMonth, indexOf, isIdentical, isNextCharUTCSign, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseSecond, parseTimeZone, resetDateObj, saveUnnormalized, validateDateTime`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonthDayDV

    public MonthDayDV()

Method Detail

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Convert a string to a compiled form
  Overrides:
    `getActualValue` in class `TypeValidator`
  Parameters:
    `content` - The lexical representation of gMonthDay
  Returns:
    a valid and normalized gMonthDay object

### parse

    protected org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData parse(java.lang.String str)
                                                                          throws SchemaDateTimeException

  Parses, validates and computes normalized version of gMonthDay object
  Parameters:
    `str` - The lexical representation of gMonthDay object --MM-DD with possible time zone Z or (-),(+)hh:mm
  Returns:
    normalized date representation
  Throws:
    `SchemaDateTimeException` - Invalid lexical representation

### dateToString

    protected java.lang.String dateToString(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)

  Converts gMonthDay object representation to String
  Overrides:
    `dateToString` in class `AbstractDateTimeDV`
  Parameters:
    `date` - gmonthDay object
  Returns:
    lexical representation of month: --MM-DD with an optional time zone sign

### getXMLGregorianCalendar

    protected javax.xml.datatype.XMLGregorianCalendar getXMLGregorianCalendar(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)

  Overrides:
    `getXMLGregorianCalendar` in class `AbstractDateTimeDV`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.